#This script exists solely to convert the .json file exported from the
#Google Sheet into a .lua file, because WoW Addons are not allowed to
#access io-libraries.

import json

with open('dkpvalues.json') as json_file:
    data = json.load(json_file)
    
file = open("value_table.lua", "w+")

content = "dkp_value_table = {\n"
for element in data:
    content = content + "{"
    for key in element:
        content = content + "[\"" + key + "\"] = \"" + element[key] + "\","
    content = content + "},\n"
content = content + "}"

file.write(content)

file.close()
